
## code for Tables 1 and 2 in main paper

data(patients)

counts <- patients$Jcounts

types <- dimnames(counts[[1]])[[1]]
ord <- order(types)

## put in alphabetical order by type
wtsc <- counts$`WT-SC`[ord,]   ## wild type single-cell derived
wtmc <- counts$`WT-MC`[ord,]   ## wild type mass culture
mtsc <- counts$`MT-SC`[ord,]   ## mutant, single-cell derived
mtmc <- counts$`MT-MC`[ord,]   ## mutant, mass culture

## Table 1: MC data, J region, patients

tab1 <- matrix(NA,nrow(wtmc), 2*ncol(wtmc) )
tab1[, c(1,3,5,7,9,11) ] <- wtmc
tab1[, c(2,4,6,8,10,12) ] <- mtmc
tab1 <- rbind( tab1, apply(tab1,2,sum) )
dimnames(tab1)[[1]] <- c( types[ord], "totals" )

## Table 2: SC data, J region, patients

tab2 <- matrix(NA,nrow(wtsc), 2*ncol(wtsc) )
tab2[, c(1,3,5,7,9,11) ] <- wtsc
tab2[, c(2,4,6,8,10,12) ] <- mtsc
tab2 <- rbind( tab2, apply(tab2,2,sum) )
dimnames(tab2)[[1]] <- c( types[ord], "totals" )

## Same thing for V region (Supplementary Material, Tables S1 and S2)

counts <- patients$Vcounts

types <- dimnames(counts[[1]])[[1]]
ord <- order(types)

## put in alphabetical order by type
wtsc <- counts$`WT-SC`[ord,]   ## wild type single-cell derived
wtmc <- counts$`WT-MC`[ord,]   ## wild type mass culture
mtsc <- counts$`MT-SC`[ord,]   ## mutant, single-cell derived
mtmc <- counts$`MT-MC`[ord,]   ## mutant, mass culture

## Table S1: MC data, V region, patients

tabs1 <- matrix(NA,nrow(wtmc), 2*ncol(wtmc) )
tabs1[, c(1,3,5,7,9,11) ] <- wtmc
tabs1[, c(2,4,6,8,10,12) ] <- mtmc
tabs1 <- rbind( tabs1, apply(tabs1,2,sum) )
dimnames(tabs1)[[1]] <- c( types[ord], "totals" )

## Table S2: SC data, J region, patients

tabs2 <- matrix(NA,nrow(wtsc), 2*ncol(wtsc) )
tabs2[, c(1,3,5,7,9,11) ] <- wtsc
tabs2[, c(2,4,6,8,10,12) ] <- mtsc
tabs2 <- rbind( tabs2, apply(tabs2,2,sum) )
dimnames(tabs2)[[1]] <- c( types[ord], "totals" )

