## simulate CPP under an alternative hypothesis setting 
data(precooked)
thetaMT <- apply( precooked$fitJ$thetasave, 2, mean )  ## posterior mean 
phi.hat <- mean( precooked$fitJ$phisave )

data(patients)
counts <- patients$Jcounts  ## sequence type counts
nsurvive <- patients$nsurvive  ## surviving cell counts

tmp <- apply( counts$"WT-MC", 1, sum ) + apply( counts$"WT-SC", 1, sum )
thetaWT <- tmp/sum(tmp)  ## MLE

pvals.alt <- powdod( nsim=1000, thetaWT=thetaWT, thetaMT=thetaMT, phi=phi.hat,
	sizes=list( n.wtsc = apply(counts$`WT-SC`,2,sum),
                    n.wtmc = apply(counts$`WT-MC`,2,sum),
		    n.mtmc = apply(counts$`MT-MC`,2,sum),
		    n.mtsc = apply(counts$`MT-SC`,2,sum),
                    nsurvive = nsurvive  ) ,
	mcmc=list( phi.init=0.1, phi.delta=0.02, nsave=1000, nskip=20, initc=20 ) )
