\name{cpp}
\alias{cpp}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
Function to compute a conditional predictive p-value testing the null
hypothesis of equal type frequencies from two count data sources in
the double overdispersion model from Pei et al. 2012.
}
\description{
Using posterior samples computed by MCMC, the cpp calculated
Prob[ p(X^(*)|Y) <= p(X|Y) | Y=y ] where X and Y are two sources of count data
whose underlying frequency vector is being tested for equality, and where X^(*)
are hypothetical repititions of X.
}
\usage{
cpp(fit)
}
\arguments{
  \item{fit}{ output from the function MCMC }
}
\value{
A Monte Carlo estimate of the conditional predictive p-value
}
\references{
See Pei et al. 2012. A conditional predictive p-value to compare a 
multinomial with an overdispersed multinomial in the analysis of T-cell
 populations.  Technical Report \#227, Department of Biostatistics and Medical
 Informatics, University of Wisconsin, Madison.
}
\author{
Michael A. Newton
}
\note{ } 
%% ~Make other sections like Warning with \section{Warning }{....} ~

%%\seealso{ See Also as \code{MCMC}.  }

\examples{


# test on Zuleger et al's 2011 melanoma patient data, J region, CDR3

data(precooked)
pv <- cpp(precooked$fitJ)  ## conditional predictive p-value, J region data

}
\keyword{ ~kwd1 }
\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
