\name{dod-package}
\alias{dod-package}
\alias{dod}
\docType{package}
\title{
Data and computations in the double overdispersion model of Pei et al 2012.
}
\description{
The package enables all computations in Pei et al. 2012. It holds:
anonymized data on T-cell receptor sequences from six melanoma patients,
code to simulate the posterior distribution of unknown parameters and 
latent variables conditional upon (all/part) of these data, separate
code to compute the conditional predictive p-value (cpp), 
simulation code to assess the null (and alternative) distribution of the cpp,
and demos to create all figures, tables and related computations.
}
\details{
\tabular{ll}{
Package: \tab dod\cr
Type: \tab Package\cr
Version: \tab 2.0\cr
Date: \tab 2013-07-19\cr
License: \tab Artistic-2.0 \cr
LazyLoad: \tab yes\cr
}


}
\author{
Michael A. Newton and Qinglin Pei.

Maintainer:  <newton@stat.wisc.edu>
}
\references{
Statistical details in: 

 Pei, Q, Zuleger, CL, Macklin, MD, Bostwick, BL, Albertini, MR, and
 Newton, MA, 2012. A conditional predictive p-value to compare a 
 multinomial with an overdispersed multinomial in the analysis of T-cell
 populations. Technical Report \# 227, Department of Biostatistics and 
 Medical Informatics, University of Wisconsin, Madison.

Experiment described in:

Zuleger, C.L., Macklin, M.D., Bostwick, B.L., Pei, Q., Newton, M.A., and Albertini, M.R. (2011). In vivo 6-thioguanine-resistant T cells from melanoma patients have public TCR and share TCR beta amino acid sequences with melanoma-reactive T cells. Journal of Immunological Methods, 365, 76-86.

}

\keyword{ package }
\seealso{
}
\examples{

# test on Zuleger et al's 2011 melanoma patient data, J region, CDR3
data(patients)
counts <- patients$Jcounts
nsurvive <- patients$nsurvive

data(precooked) ## results of MCMC output on two data sets

## figure 1
demo(figure1)

## J region data
demo(datatables)
}
