\name{precooked}
\alias{precooked}
\docType{data}
\title{
 Posterior samples from long MCMC runs on J and V region data and simulation results
}
\description{
 Ouput of the MCMC code, applied J and V data (saves time in demo!)
 By `precooking' the difficult computations the R package is more quickly able to demonstrate figure construction. 
}
\usage{data(precooked)}
\format{
 list with four entries, fitJ (MCMC output for J region data) and fitV (MCMC 
output for V region data), simulatedPvalues, a null bootstrap simulation of the J region p-values, and fitfull, elements used to compute a likelihood ratio
 statistic.
}
\source{
Pei et al. 2012. A conditional predictive p-value to compare a multinomial
with an overdispersed multinomial in the analysis of T-cell populations.
Technical Report \# 227, Department of Biostatistics and Medical Informatics,
University of Wisconsin, Madison.
}
\references{

Zuleger, C.L., Macklin, M.D., Bostwick, B.L., Pei, Q., Newton, M.A., and Albertini, M.R. (2011). In vivo 6-thioguanine-resistant T cells from melanoma patients have public TCR and share TCR beta amino acid sequences with melanoma-reactive T cells. Journal of Immunological Methods, 365, 76-86.
}
\examples{
data(precooked)
names(precooked$fitJ)

### Below is the code chunk that made the entries in `precooked'
##data(patients)
##mcmc <- list(nsave = 10000, nskip = 500, initc = 500, phi.init = 1, phi.delta =0.05)
##fitJ <- MCMC( patients$Jcounts, patients$nsurvive, print.iter=FALSE, mcmc=mcmc )
##fitV <- MCMC( patients$Vcounts, patients$nsurvive, print.iter=FALSE, mcmc=mcmc )

#### Now the p-value (null) simulation
##counts <- patients$Jcounts
##sizedat <- list( n.wtsc = apply( counts$`WT-SC`, 2, sum ),
##                 n.wtmc = apply( counts$`WT-MC`, 2, sum ),
##                 n.mtmc = apply( counts$`MT-MC`, 2, sum ),
##                 n.mtsc = apply( counts$`MT-SC`, 2, sum ),
##                 nsurvive=patients$nsurvive )  ## as in patient data
##
##theta.hat <- apply( fitJ$thetasave, 2, mean )  ### used model fit above
##phi.hat <- mean(fitJ$phisave )                 ## to make bootstrap data
##
##simulatedPvalues <- simdod( nsim=1000, theta= theta.hat, phi= phi.hat, sizes=sizedat,
##                    mcmc = list( phi.init=.1, phi.delta=.02, nsave=1000, nskip=20, initc=20 ) )

#### Code chunk making fitfull [MCMC using all data `method 2']
##data(patients)
##counts <- patients$Jcounts  ## sequence type counts
##nsurvive <- patients$nsurvive  ## surviving cell counts
## MCMC settings adjusted after some preliminary runs to these values
##mcmc <- list(nsave = 10000, nskip = 500, initc = 500, phi.init = .1, 
## 	phi.delta =0.02)
##fitJ.full <- MCMC( patients$Jcounts, patients$nsurvive,  mcmc=mcmc, method=2 )
##fitV.full <- MCMC( patients$Vcounts, patients$nsurvive, mcmc=mcmc , method=2)
## fitfull <- list( fitJ.full=fitJ.full, fitV.full=fitV.full )
}
\keyword{datasets}
